%global momorel 6
%global date 20100603
%global srcname networkmanagement
%global qtver 4.6.3
%global kdever 4.4.95
%global kdelibsrel 1m
%global kdebaseworkspacerel 1m

# set KDE version
%global kde_major %(kde4-config -v 2>/dev/null | grep ^KDE | cut -d' ' -f4 | cut -d'-' -f1 | cut -d'.' -f1)
%global kde_minor %(kde4-config -v 2>/dev/null | grep ^KDE | cut -d' ' -f4 | cut -d'-' -f1 | cut -d'.' -f2)
%global kde_release %(kde4-config -v 2>/dev/null | grep ^KDE | cut -d' ' -f4 | cut -d'-' -f1 | cut -d'.' -f3)
%if 0%{?kde_major} == 4 && 0%{?kde_minor} < 5 && 0%{kde_release} < 67
%global install_icon 1
%endif

Summary: KDE applet for Network Manager
Name: knetworkmanager
Version: 0.9
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv3 and LGPLv3
Group: Applications/Internet
URL: http://en.opensuse.org/Projects/KNetworkManager
Source0: %{srcname}-%{version}-%{date}.tar.bz2
Patch0: %{srcname}-%{version}-desktop.patch
Patch1: %{srcname}-kdebug238325.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: NetworkManager
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase-workspace-devel >= %{kdever}-%{kdebaseworkspacerel}
BuildRequires: NetworkManager-devel >= 0.7.0
BuildRequires: cmake
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: hal-devel
BuildRequires: libnl-devel
BuildRequires: wireless-tools
Provides: %{name}4 = %{version}-%{release}
Obsoletes: %{name}4 < %{version}-%{release}

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%package libs
Summary: Shared runtime libraries of knetworkmanager
Group: System Environment/Libraries

%description libs
This package contains shared runtime libraries of knetworkmanager.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .desktop-ja
%patch1 -p0 -b .kdebug238325

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d \
	-DINSTALL_KNM_AUTOSTART:BOOL=ON \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --remove-category Utility \
  --add-category KDE \
  --add-category Qt \
  --add-only-show-in=KDE \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING* DESIGN README TODO
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/libexec/%{srcname}_configshell
%{_kde4_libdir}/kde4/kcm_%{srcname}.so
%{_kde4_libdir}/kde4/kcm_%{srcname}_tray.so
%{_kde4_libdir}/kde4/kded_%{srcname}.so
%{_kde4_libdir}/kde4/%{srcname}_novellvpnui.so
%{_kde4_libdir}/kde4/%{srcname}_openvpnui.so
%{_kde4_libdir}/kde4/%{srcname}_pptpui.so
%{_kde4_libdir}/kde4/%{srcname}_strongswanui.so
%{_kde4_libdir}/kde4/%{srcname}_vpncui.so
%{_kde4_libdir}/kde4/plasma_applet_%{srcname}.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{?install_icon:%{_kde4_appsdir}/desktoptheme/default/icons/network.svgz}
%{_kde4_appsdir}/%{srcname}
%{_kde4_datadir}/autostart/kde4-%{name}-autostart.desktop
%{_kde4_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_kde4_iconsdir}/oxygen/*/devices/network-*.png
%{_kde4_datadir}/kde4/services/kded/%{srcname}.desktop
%{_kde4_datadir}/kde4/services/kcm_%{srcname}.desktop
%{_kde4_datadir}/kde4/services/kcm_%{srcname}_tray.desktop
%{_kde4_datadir}/kde4/services/%{srcname}_novellvpnui.desktop
%{_kde4_datadir}/kde4/services/%{srcname}_openvpnui.desktop
%{_kde4_datadir}/kde4/services/%{srcname}_pptpui.desktop
%{_kde4_datadir}/kde4/services/%{srcname}_strongswanui.desktop
%{_kde4_datadir}/kde4/services/%{srcname}_vpncui.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-%{srcname}.desktop
%{_kde4_datadir}/kde4/servicetypes/%{srcname}_vpnuiplugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files libs
%defattr(-, root, root)
%{_kde4_libdir}/libknm_nm.so
%{_kde4_libdir}/libknmclient.so*
%{_kde4_libdir}/libknminternals.so*
%{_kde4_libdir}/libknmservice.so*
%{_kde4_libdir}/libknmui.so*
%{_kde4_libdir}/libsolidcontrolfuture.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9-0.20100603.6m)
- full rebuild for mo7 release

* Mon Jul 26 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100603.5m)
- force rebuild to remove an icon conflicting with kdebase-runtime-4.4.95

* Sun Jul 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100603.4m)
- fix up Provides and Obsoletes

* Sun Jul 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100603.3m)
- revive original name: knetworkmanager
- split package libs

* Fri Jul 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-0.20100603.2m)
- KDE 4.4.67 or later, network.svgz is provided by kdebase-runtime

* Thu Jul 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100603.1m)
- update to 20100603
- import kdebug238325.patch from Fedora
- update desktop.patch
- set -DINSTALL_KNM_AUTOSTART:BOOL=ON

* Sat Jul 10 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9-0.20100419.4m)
- build fix with desktop-file-utils-0.16 (add-only-show-in=KDE)

* Fri Jul  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100419.3m)
- fix up knetworkmanager.desktop

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-0.20100419.2m)
- rebuild against qt-4.6.3-1m

* Sun May 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20100419.1m)
- update to 20100419
- switch to use Fedora's tar-ball
- update desktop.patch
- remove qt47.patch

* Sun May  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20091210.3m)
- fix build with new qt

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20091210.2m)
- touch up spec file

* Thu Dec 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-0.20091210.1m)
- update to svn rev. 1057339 for KDE 4.3.80
- use OpenSUSE's tar-balls
- update desktop.patch

* Thu Dec 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20091026.4m)
- rebuild without kdelibs-experimental

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7-0.20091026.3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20091026.2m)
- update desktop.patch

* Mon Oct 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20091026.1m)
- update to 20091026 svn snapshot (rev. 1040255)
- change License from GPLv2+ to "GPLv3 and LGPLv3"
- update desktop.patch

* Thu May 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20090514.1m)
- update to 20090514 svn snapshot (rev. 967932)
- update desktop.patch

* Fri Feb 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20090227.1m)
- update and switch to 20090227 svn snapshot of playground-base

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7-0.20081218.2m)
- rebuild against rpm-4.6

* Thu Jan  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7-0.20081218.1m)
- update to 20081218 svn snapshot

* Fri Aug  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080801.1m)
- update to 20080801 svn snapshot
- disable parallel make

* Mon Jun 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.2m)
- update translations

* Fri May 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.1m)
- update to 20080530 svn snapshot
- back from the living to trunk, GJ

* Sat May 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080517.1m)
- update to 20080517 svn snapshot

* Sat May 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080510.1m)
- update to 20080510 svn snapshot

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-5m)
- rebuild against qt3

* Tue May  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080506.1m)
- update to 20080506 svn snapshot

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080429.1m)
- update to 20080429 svn snapshot

* Thu Apr 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080417.1m)
- update to 20080417 svn snapshot

* Wed Apr  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080409.1m)
- update to 20080409 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-4m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080324.1m)
- update to 20080324 svn snapshot

* Sun Mar 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080316.1m)
- update to 20080316 svn snapshot

* Wed Mar  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080305.1m)
- update to 20080305 svn snapshot

* Mon Feb 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080225.1m)
- update to 20080225 svn snapshot

* Thu Feb 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080221.1m)
- update to 20080221 svn snapshot

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080219.1m)
- update to 20080219 svn snapshot

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080214.1m)
- update to 20080214 svn snapshot

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-3m)
- %%NoSource -> NoSource

* Sun Oct 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- fix autostart issue

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- enable VPN support

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.2m)
- change "Categories" of knetworkmanager.desktop from "System" to "Network"

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.1m)
- initial package for Momonga Linux
